CorebanqCorebanq Developer Docs
Counterpartiesv1Counterparty Crypto Wallets

Delete counterparty crypto wallet

Handler: DeleteCryptoWallet → DeleteCryptoWalletSrv. Hard-deletes the wallet row (physical gorm Delete) and removes the cp_accounts link row, in one transaction. Returns 204 on success.

DELETE
/v1/counterparties/crypto-wallets/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Counterparty crypto wallet ID.

id*string

id path parameter

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/counterparties/crypto-wallets/string"
Empty
{
  "status": 400,
  "message": "Invalid input"
}
{
  "status": 401,
  "message": "Unauthorized"
}
{
  "status": 403,
  "message": "Forbidden"
}
{
  "status": 404,
  "message": "Not found"
}
{
  "status": 500,
  "message": "server_error"
}